## org.eclipse.amp.escape.ascape.gef
Class GraphicsEditPart

    java.lang.Object
      org.eclipse.gef.editparts.AbstractEditPart
          org.eclipse.gef.editparts.AbstractGraphicalEditPart
              org.eclipse.amp.escape.ascape.gef.GraphicsEditPart

All Implemented Interfaces:
  org.eclipse.core.runtime.IAdaptable, org.eclipse.gef.EditPart, org.eclipse.gef.GraphicalEditPart, org.eclipse.gef.RequestConstants

    public class GraphicsEditPart

extends org.eclipse.gef.editparts.AbstractGraphicalEditPart

Field Summary

Fields inherited from interface org.eclipse.gef.EditPart
`SELECTED, SELECTED_NONE, SELECTED_PRIMARY`

Fields inherited from interface org.eclipse.gef.RequestConstants
`REQ_ADD, REQ_ALIGN, REQ_ALIGN_CHILDREN, REQ_CLONE, REQ_CONNECTION_END, REQ_CONNECTION_START, REQ_CREATE, REQ_CREATE_BENDPOINT, REQ_DELETE, REQ_DELETE_DEPENDANT, REQ_DIRECT_EDIT, REQ_MOVE, REQ_MOVE_BENDPOINT, REQ_MOVE_CHILDREN, REQ_OPEN, REQ_ORPHAN, REQ_ORPHAN_CHILDREN, REQ_RECONNECT_SOURCE, REQ_RECONNECT_TARGET, REQ_RESIZE, REQ_RESIZE_CHILDREN, REQ_SELECTION, REQ_SELECTION_HOVER`

Constructor Summary
`GraphicsEditPart(GraphicsView graphicsView, java.lang.Object model)`

Method Summary
`java.lang.Object` `getAdapter(java.lang.Class key)`
`void` `refresh()`
`void` `setModel(java.lang.Object model)`

Methods inherited from class org.eclipse.gef.editparts.AbstractGraphicalEditPart
`activate, addNodeListener, addNotify, deactivate, getContentPane, getDragTracker, getFigure, getSourceConnections, getTargetConnections, removeNodeListener, removeNotify, setLayoutConstraint`

Methods inherited from class org.eclipse.gef.editparts.AbstractEditPart
`addEditPartListener, eraseSourceFeedback, eraseTargetFeedback, getChildren, getCommand, getEditPolicy, getModel, getParent, getRoot, getSelected, getTargetEditPart, getViewer, hasFocus, installEditPolicy, isActive, isSelectable, performRequest, removeEditPartListener, removeEditPolicy, setFocus, setParent, setSelected, showSourceFeedback, showTargetFeedback, toString, understandsRequest`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.gef.EditPart
`addEditPartListener, eraseSourceFeedback, eraseTargetFeedback, getChildren, getCommand, getEditPolicy, getModel, getParent, getRoot, getSelected, getTargetEditPart, getViewer, hasFocus, installEditPolicy, isActive, isSelectable, performRequest, removeEditPartListener, removeEditPolicy, setFocus, setParent, setSelected, showSourceFeedback, showTargetFeedback, understandsRequest`

Constructor Detail

### GraphicsEditPart

    public GraphicsEditPart(GraphicsView graphicsView,
                            java.lang.Object model)

Parameters:
  `graphicsView` -
  `model` -

Method Detail

### refresh

    public void refresh()

  Specified by:
    `refresh` in interface `org.eclipse.gef.EditPart`
  Overrides:
    `refresh` in class `org.eclipse.gef.editparts.AbstractGraphicalEditPart`

### setModel

    public void setModel(java.lang.Object model)

  Specified by:
    `setModel` in interface `org.eclipse.gef.EditPart`
  Overrides:
    `setModel` in class `org.eclipse.gef.editparts.AbstractEditPart`

### getAdapter

    public java.lang.Object getAdapter(java.lang.Class key)

  Specified by:
    `getAdapter` in interface `org.eclipse.core.runtime.IAdaptable`
  Overrides:
    `getAdapter` in class `org.eclipse.gef.editparts.AbstractGraphicalEditPart`